# GET /oauth/authorize

> Request an OAuth authorization code or access token with client_id, response_type, redirect_uri and state; DS Server redirects with 302 and no sign-in page.

- **Product:** DS Server
- **Section:** Documentation
- **Kind:** Endpoint
- **Path:** DS Server > API Reference > Web API > OAuth > /authorize > GET /oauth/authorize
- **Web URL:** https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/
- **LLMs URL:** https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/llms-full.txt

---

## On This Page

- [Description](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/#description)
- [Examples](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/#examples)
- [Request Parameters](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/#request-parameters)
- [Success Response](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/#success-response)
- [Error Response](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/get/#error-response)

---

## Nearby

- **Previous:** [/oauth/authorize](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/llms.txt)
- **Next:** [/oauth/token](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/token/llms.txt)
